Package org.eclipse.emf.cdo.eresource.impl

## Class EresourcePackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.emf.cdo.eresource.impl.EresourcePackageImpl

- All Implemented Interfaces:
    `EresourcePackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

      public class EresourcePackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements EresourcePackage

  An implementation of the model Package.
  Generated
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.eresource.EresourcePackage

      `EresourcePackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.EresourcePackage

      `CDO_BINARY_RESOURCE, CDO_BINARY_RESOURCE__CONTENTS, CDO_BINARY_RESOURCE__FOLDER, CDO_BINARY_RESOURCE__NAME, CDO_BINARY_RESOURCE__PATH, CDO_BINARY_RESOURCE_FEATURE_COUNT, CDO_FILE_RESOURCE, CDO_FILE_RESOURCE__FOLDER, CDO_FILE_RESOURCE__NAME, CDO_FILE_RESOURCE__PATH, CDO_FILE_RESOURCE_FEATURE_COUNT, CDO_RESOURCE, CDO_RESOURCE__CONTENTS, CDO_RESOURCE__ERRORS, CDO_RESOURCE__FOLDER, CDO_RESOURCE__LOADED, CDO_RESOURCE__MODIFIED, CDO_RESOURCE__NAME, CDO_RESOURCE__PATH, CDO_RESOURCE__RESOURCE_SET, CDO_RESOURCE__TIME_STAMP, CDO_RESOURCE__TRACKING_MODIFICATION, CDO_RESOURCE__URI, CDO_RESOURCE__WARNINGS, CDO_RESOURCE_FEATURE_COUNT, CDO_RESOURCE_FOLDER, CDO_RESOURCE_FOLDER__FOLDER, CDO_RESOURCE_FOLDER__NAME, CDO_RESOURCE_FOLDER__NODES, CDO_RESOURCE_FOLDER__PATH, CDO_RESOURCE_FOLDER_FEATURE_COUNT, CDO_RESOURCE_LEAF, CDO_RESOURCE_LEAF__FOLDER, CDO_RESOURCE_LEAF__NAME, CDO_RESOURCE_LEAF__PATH, CDO_RESOURCE_LEAF_FEATURE_COUNT, CDO_RESOURCE_NODE, CDO_RESOURCE_NODE__FOLDER, CDO_RESOURCE_NODE__NAME, CDO_RESOURCE_NODE__PATH, CDO_RESOURCE_NODE_FEATURE_COUNT, CDO_TEXT_RESOURCE, CDO_TEXT_RESOURCE__CONTENTS, CDO_TEXT_RESOURCE__ENCODING, CDO_TEXT_RESOURCE__FOLDER, CDO_TEXT_RESOURCE__NAME, CDO_TEXT_RESOURCE__PATH, CDO_TEXT_RESOURCE_FEATURE_COUNT, DIAGNOSTIC, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, RESOURCE_SET, URI`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createCDOAnnotations()` | Initializes the annotations for http://www.eclipse.org/emf/CDO.
    `protected void` | `createDBStoreAnnotations()` | Initializes the annotations for http://www.eclipse.org/CDO/DBStore.
    `void` | `createPackageContents()` | Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EClass` | `getCDOBinaryResource()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOBinaryResource_Contents()`
    `org.eclipse.emf.ecore.EClass` | `getCDOFileResource()`
    `org.eclipse.emf.ecore.EClass` | `getCDOResource()`
    `org.eclipse.emf.ecore.EReference` | `getCDOResource_Contents()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Errors()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Loaded()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Modified()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_ResourceSet()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_TimeStamp()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_TrackingModification()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_URI()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResource_Warnings()`
    `org.eclipse.emf.ecore.EClass` | `getCDOResourceFolder()`
    `org.eclipse.emf.ecore.EReference` | `getCDOResourceFolder_Nodes()`
    `org.eclipse.emf.ecore.EClass` | `getCDOResourceLeaf()`
    `org.eclipse.emf.ecore.EClass` | `getCDOResourceNode()`
    `org.eclipse.emf.ecore.EReference` | `getCDOResourceNode_Folder()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResourceNode_Name()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOResourceNode_Path()`
    `org.eclipse.emf.ecore.EClass` | `getCDOTextResource()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOTextResource_Contents()`
    `org.eclipse.emf.ecore.EAttribute` | `getCDOTextResource_Encoding()`
    `org.eclipse.emf.ecore.EDataType` | `getDiagnostic()`
    `EresourceFactory` | `getEresourceFactory()`
    `org.eclipse.emf.ecore.EDataType` | `getResourceSet()`
    `org.eclipse.emf.ecore.EDataType` | `getURI()`
    `static EresourcePackage` | `init()` | Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` | Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### init

          public static EresourcePackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `EresourcePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `EresourcePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getCDOResourceNode

          public org.eclipse.emf.ecore.EClass getCDOResourceNode()

      Specified by:
        `getCDOResourceNode` in interface `EresourcePackage`
      Returns:
        the meta object for class 'CDO Resource Node'.
      Since:
        2.0
      See Also:
        `CDOResourceNode`
      Generated

    - #### getCDOResourceNode_Folder

          public org.eclipse.emf.ecore.EReference getCDOResourceNode_Folder()

      Specified by:
        `getCDOResourceNode_Folder` in interface `EresourcePackage`
      Returns:
        the meta object for the container reference 'Folder'.
      Since:
        2.0
      See Also:
        `CDOResourceNode.getFolder()`, `EresourcePackage.getCDOResourceNode()`
      Generated

    - #### getCDOResourceNode_Name

          public org.eclipse.emf.ecore.EAttribute getCDOResourceNode_Name()

      Specified by:
        `getCDOResourceNode_Name` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Name'.
      Since:
        2.0
      See Also:
        `CDOResourceNode.getName()`, `EresourcePackage.getCDOResourceNode()`
      Generated

    - #### getCDOResourceNode_Path

          public org.eclipse.emf.ecore.EAttribute getCDOResourceNode_Path()

      Specified by:
        `getCDOResourceNode_Path` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Path'.
      Since:
        2.0
      See Also:
        `CDOResourceNode.getPath()`, `EresourcePackage.getCDOResourceNode()`
      Generated

    - #### getCDOResourceFolder

          public org.eclipse.emf.ecore.EClass getCDOResourceFolder()

      Specified by:
        `getCDOResourceFolder` in interface `EresourcePackage`
      Returns:
        the meta object for class 'CDO Resource Folder'.
      Since:
        2.0
      See Also:
        `CDOResourceFolder`
      Generated

    - #### getCDOResourceFolder_Nodes

          public org.eclipse.emf.ecore.EReference getCDOResourceFolder_Nodes()

      Specified by:
        `getCDOResourceFolder_Nodes` in interface `EresourcePackage`
      Returns:
        the meta object for the containment reference list 'Nodes'.
      Since:
        2.0
      See Also:
        `CDOResourceFolder.getNodes()`, `EresourcePackage.getCDOResourceFolder()`
      Generated

    - #### getCDOResource

          public org.eclipse.emf.ecore.EClass getCDOResource()

      Specified by:
        `getCDOResource` in interface `EresourcePackage`
      Returns:
        the meta object for class 'CDO Resource'.
      See Also:
        `CDOResource`
      Generated

    - #### getCDOResource_ResourceSet

          public org.eclipse.emf.ecore.EAttribute getCDOResource_ResourceSet()

      Specified by:
        `getCDOResource_ResourceSet` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Resource Set'.
      See Also:
        `CDOResource.getResourceSet()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_URI

          public org.eclipse.emf.ecore.EAttribute getCDOResource_URI()

      Specified by:
        `getCDOResource_URI` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'URI'.
      See Also:
        `CDOResource.getURI()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_Contents

          public org.eclipse.emf.ecore.EReference getCDOResource_Contents()

      Specified by:
        `getCDOResource_Contents` in interface `EresourcePackage`
      Returns:
        the meta object for the containment reference list 'Contents'.
      See Also:
        `CDOResource.getContents()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_Modified

          public org.eclipse.emf.ecore.EAttribute getCDOResource_Modified()

      Specified by:
        `getCDOResource_Modified` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Modified'.
      See Also:
        `CDOResource.isModified()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_Loaded

          public org.eclipse.emf.ecore.EAttribute getCDOResource_Loaded()

      Specified by:
        `getCDOResource_Loaded` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Loaded'.
      See Also:
        `CDOResource.isLoaded()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_TrackingModification

          public org.eclipse.emf.ecore.EAttribute getCDOResource_TrackingModification()

      Specified by:
        `getCDOResource_TrackingModification` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Tracking Modification'.
      See Also:
        `CDOResource.isTrackingModification()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_Errors

          public org.eclipse.emf.ecore.EAttribute getCDOResource_Errors()

      Specified by:
        `getCDOResource_Errors` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute list 'Errors'.
      See Also:
        `CDOResource.getErrors()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_Warnings

          public org.eclipse.emf.ecore.EAttribute getCDOResource_Warnings()

      Specified by:
        `getCDOResource_Warnings` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute list 'Warnings'.
      See Also:
        `CDOResource.getWarnings()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResource_TimeStamp

          public org.eclipse.emf.ecore.EAttribute getCDOResource_TimeStamp()

      Specified by:
        `getCDOResource_TimeStamp` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Time Stamp'.
      See Also:
        `CDOResource.getTimeStamp()`, `EresourcePackage.getCDOResource()`
      Generated

    - #### getCDOResourceLeaf

          public org.eclipse.emf.ecore.EClass getCDOResourceLeaf()

      Specified by:
        `getCDOResourceLeaf` in interface `EresourcePackage`
      Returns:
        the meta object for class 'CDO Resource Leaf'.
      Since:
        4.1
      See Also:
        `CDOResourceLeaf`
      Generated

    - #### getCDOFileResource

          public org.eclipse.emf.ecore.EClass getCDOFileResource()

      Specified by:
        `getCDOFileResource` in interface `EresourcePackage`
      Returns:
        the meta object for class 'CDO File Resource'.
      Since:
        4.1
      See Also:
        `CDOFileResource`
      Generated

    - #### getCDOBinaryResource

          public org.eclipse.emf.ecore.EClass getCDOBinaryResource()

      Specified by:
        `getCDOBinaryResource` in interface `EresourcePackage`
      Returns:
        the meta object for class 'CDO Binary Resource'.
      Since:
        4.1
      See Also:
        `CDOBinaryResource`
      Generated

    - #### getCDOBinaryResource_Contents

          public org.eclipse.emf.ecore.EAttribute getCDOBinaryResource_Contents()

      Specified by:
        `getCDOBinaryResource_Contents` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Contents'.
      Since:
        4.1
      See Also:
        `CDOBinaryResource.getContents()`, `EresourcePackage.getCDOBinaryResource()`
      Generated

    - #### getCDOTextResource

          public org.eclipse.emf.ecore.EClass getCDOTextResource()

      Specified by:
        `getCDOTextResource` in interface `EresourcePackage`
      Returns:
        the meta object for class 'CDO Text Resource'.
      Since:
        4.1
      See Also:
        `CDOTextResource`
      Generated

    - #### getCDOTextResource_Contents

          public org.eclipse.emf.ecore.EAttribute getCDOTextResource_Contents()

      Specified by:
        `getCDOTextResource_Contents` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Contents'.
      Since:
        4.1
      See Also:
        `CDOTextResource.getContents()`, `EresourcePackage.getCDOTextResource()`
      Generated

    - #### getCDOTextResource_Encoding

          public org.eclipse.emf.ecore.EAttribute getCDOTextResource_Encoding()

      Specified by:
        `getCDOTextResource_Encoding` in interface `EresourcePackage`
      Returns:
        the meta object for the attribute 'Encoding'.
      Since:
        4.2
      See Also:
        `CDOTextResource.getEncoding()`, `EresourcePackage.getCDOTextResource()`
      Generated

    - #### getResourceSet

          public org.eclipse.emf.ecore.EDataType getResourceSet()

      Specified by:
        `getResourceSet` in interface `EresourcePackage`
      Returns:
        the meta object for data type 'Resource Set'.
      See Also:
        `ResourceSet`
      Generated

    - #### getURI

          public org.eclipse.emf.ecore.EDataType getURI()

      Specified by:
        `getURI` in interface `EresourcePackage`
      Returns:
        the meta object for data type 'URI'.
      See Also:
        `URI`
      Generated

    - #### getDiagnostic

          public org.eclipse.emf.ecore.EDataType getDiagnostic()

      Specified by:
        `getDiagnostic` in interface `EresourcePackage`
      Returns:
        the meta object for data type 'Diagnostic'.
      See Also:
        `Resource.Diagnostic`
      Generated

    - #### getEresourceFactory

          public EresourceFactory getEresourceFactory()

      Specified by:
        `getEresourceFactory` in interface `EresourcePackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createDBStoreAnnotations

          protected void createDBStoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/CDO/DBStore.
      Since:
        4.0
      Generated

    - #### createCDOAnnotations

          protected void createCDOAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/CDO.
      Since:
        4.3
      Generated